#include <AxisG2Scan.h>

namespace AxisG2Scan_ns
{

bool AxisG2Scan::drv_attrpoll_off(int long_poll){
        vector<attrpoll_t>::iterator it;
	for (it = drv_attrpoll.begin(); it != drv_attrpoll.end(); ++it){
     		try {
			drv_dp->stop_poll_attribute((*it).attr);
			drv_dp->poll_attribute((*it).attr, long_poll);
       		} catch(Tango::DevFailed e) {
			cout << "AxisG2Scan::drv_attrpoll_off(" << long_poll << ") :: " << endl;
      			Tango::Except::print_exception(e);
			throw;
       		} catch (...) {
      			cout << "AxisG2Scan::drv_attrpoll_off() :??:" << endl;
			throw;
       		}

	}
	return true;
}

bool AxisG2Scan::drv_attrpoll_on(){
        vector<attrpoll_t>::iterator it;
	int max_poll = 0;
	for (it = drv_attrpoll.begin(); it != drv_attrpoll.end(); ++it){
     		try {
			drv_dp->stop_poll_attribute((*it).attr);
			drv_dp->poll_attribute((*it).attr, (*it).poll_period);
			max_poll = (*it).poll_period > max_poll ? (*it).poll_period : max_poll;
       		} catch(Tango::DevFailed e) {
			cout << "AxisG2Scan::drv_attrpoll_on() :: " << endl;
      			Tango::Except::print_exception(e);
			throw;
       		} catch (...) {
      			cout << "AxisG2Scan::drv_attrpoll_on() :??:" << endl;
			throw;
       		}

	}
	return true;
}



} // namespace
