#include <AxisG2Scan.h>

namespace AxisG2Scan_ns
{

void AxisG2Scan::set_attr_ScanPositionsBN(Tango::DeviceData dd){

	#ifdef _PPC_PPC_
		vector<long> posbn;
	#else
		vector<int> posbn;
	#endif

	dd >> posbn;
        #ifdef _DBG_TRACE_BNS
          cout << "posbn.size() = " <<  posbn.size() << endl;
        #endif /* _DBG_TRACE_BNS */


	unsigned int k = 0;

	vd.clear();
	bn.clear();

	for (; k < posbn.size()/2; k++ ) vd.push_back(posbn[k]);
	for (; k < posbn.size();   k++ ) bn.push_back(posbn[k]);


	#ifdef _DBG_SET_SCANPOSITIONSBN
		cout << " posbn.size() = " << posbn.size() << endl;
	#endif /* _DBG_SET_SCANPOSITIONSBN */


	return;
}


} // namespace
