#ifndef __AXISG2SCANTYPES__
#define __AXISG2SCANTYPES__

namespace AxisG2Scan_ns {

typedef struct {
	string attr;
	int poll_period;
} attrpoll_t;

typedef struct {
	bool valid;
	double speed;
	double accel;
	double decel;
	double accuracy;
} sp_ac_dc_t;

typedef struct {
	sp_ac_dc_t sp_ac_dc;
	double begin;
	double end;
} scan_t;


} //namespace
#endif /* __AXISG2SCANTYPES__ */
